> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cart Lines

> List the current Cart Lines.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/cart/{cart_uuid}/lines
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/cart/{cart_uuid}/lines:
    get:
      tags:
        - Cart
      summary: List Cart Lines
      description: List the current Cart Lines.
      operationId: listCartLines
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: cumque
        - name: cart_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: 2c3d6247-87a4-3854-bef9-912c128ecead
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          example: a13651d1-54f1-4c27-8343-67823eb4b527
                        reference_id:
                          type: string
                          example: 98c5fe54-6200-35a6-99da-c7ded06ec75e
                        title:
                          type: string
                          example: Miss
                        description:
                          type: string
                          example: >-
                            Dignissimos est iste temporibus sed ipsa maxime
                            facilis.
                        quantity:
                          type: integer
                          example: 1
                        unit_quantity:
                          type: integer
                          example: 1
                        purchasable_type:
                          type: string
                          example: product_variant
                        purchasable_id:
                          type: string
                          example: 5b24419d-2f5c-31e5-bbee-ed6356d8819f
                        unit_price:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        sub_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        discount_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        tax_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        total_before_tax:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        exchange_rate:
                          type: string
                          example: '0.80000000'
                        exchange_rate_fetched_at:
                          type: string
                          example: '2026-03-03T14:05:29+00:00'
                    example:
                      - uuid: a13651d1-54f1-4c27-8343-67823eb4b527
                        reference_id: 98c5fe54-6200-35a6-99da-c7ded06ec75e
                        title: Miss
                        description: >-
                          Dignissimos est iste temporibus sed ipsa maxime
                          facilis.
                        quantity: 1
                        unit_quantity: 1
                        purchasable_type: product_variant
                        purchasable_id: 5b24419d-2f5c-31e5-bbee-ed6356d8819f
                        unit_price:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        sub_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        discount_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        tax_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        total_before_tax:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        exchange_rate: '0.80000000'
                        exchange_rate_fetched_at: '2026-03-03T14:05:29+00:00'
                      - uuid: a13651d1-6850-471e-98d3-4832802f6e51
                        reference_id: f392051b-a656-3854-aa1e-7d2275bd3a52
                        title: Mr.
                        description: Temporibus omnis facere ipsa.
                        quantity: 1
                        unit_quantity: 1
                        purchasable_type: product_variant
                        purchasable_id: 7c56c685-82c8-3d4f-b3bf-d88cf9bebcb3
                        unit_price:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        sub_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        discount_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        tax_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        total_before_tax:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        exchange_rate: '0.80000000'
                        exchange_rate_fetched_at: '2026-03-03T14:05:29+00:00'
                example:
                  data:
                    - uuid: a13651d1-54f1-4c27-8343-67823eb4b527
                      reference_id: 98c5fe54-6200-35a6-99da-c7ded06ec75e
                      title: Miss
                      description: Dignissimos est iste temporibus sed ipsa maxime facilis.
                      quantity: 1
                      unit_quantity: 1
                      purchasable_type: product_variant
                      purchasable_id: 5b24419d-2f5c-31e5-bbee-ed6356d8819f
                      unit_price:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      sub_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      discount_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      tax_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      total_before_tax:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      exchange_rate: '0.80000000'
                      exchange_rate_fetched_at: '2026-03-03T14:05:29+00:00'
                    - uuid: a13651d1-6850-471e-98d3-4832802f6e51
                      reference_id: f392051b-a656-3854-aa1e-7d2275bd3a52
                      title: Mr.
                      description: Temporibus omnis facere ipsa.
                      quantity: 1
                      unit_quantity: 1
                      purchasable_type: product_variant
                      purchasable_id: 7c56c685-82c8-3d4f-b3bf-d88cf9bebcb3
                      unit_price:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      sub_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      discount_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      tax_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      total_before_tax:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      exchange_rate: '0.80000000'
                      exchange_rate_fetched_at: '2026-03-03T14:05:29+00:00'
              example:
                data:
                  - uuid: a13651d1-54f1-4c27-8343-67823eb4b527
                    reference_id: 98c5fe54-6200-35a6-99da-c7ded06ec75e
                    title: Miss
                    description: Dignissimos est iste temporibus sed ipsa maxime facilis.
                    quantity: 1
                    unit_quantity: 1
                    purchasable_type: product_variant
                    purchasable_id: 5b24419d-2f5c-31e5-bbee-ed6356d8819f
                    unit_price:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    sub_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    discount_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    tax_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    total_before_tax:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    exchange_rate: '0.80000000'
                    exchange_rate_fetched_at: '2026-03-03T14:05:29.0000000+00:00'
                  - uuid: a13651d1-6850-471e-98d3-4832802f6e51
                    reference_id: f392051b-a656-3854-aa1e-7d2275bd3a52
                    title: Mr.
                    description: Temporibus omnis facere ipsa.
                    quantity: 1
                    unit_quantity: 1
                    purchasable_type: product_variant
                    purchasable_id: 7c56c685-82c8-3d4f-b3bf-d88cf9bebcb3
                    unit_price:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    sub_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    discount_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    tax_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    total_before_tax:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    exchange_rate: '0.80000000'
                    exchange_rate_fetched_at: '2026-03-03T14:05:29.0000000+00:00'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````